XISUITEDokumentation

Hierarchy Config

8 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

Get the hierarchy config for a space#

GET/hierarchy-configToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtQuerystring–

Antworten

  • 200Config returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/hierarchy-config" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Save (upsert) a hierarchy config for a space#

PUT/hierarchy-configToken

Request-Bodyapplication/json

Keine Felder dokumentiert.

Antworten

  • 200Config saved
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/hierarchy-config" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Reset the hierarchy config for a space back to the system default#

DELETE/hierarchy-configToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtQuerystring–

Antworten

  • 200Config reset to default
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/hierarchy-config" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

List valid child request types for a given parent type#

GET/hierarchy-config/child-types/{requestType}Token

Parameter

NameOrtTypBeschreibung
requestTypePflichtPfadstring–
spaceIdPflichtQuerystring–

Antworten

  • 200Child types returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/hierarchy-config/child-types/{requestType}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Return the system default hierarchy config#

GET/hierarchy-config/defaultToken

Antworten

  • 200Default config returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/hierarchy-config/default" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Export the current hierarchy config as JSON#

GET/hierarchy-config/exportToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtQuerystring–

Antworten

  • 200Config exported
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/hierarchy-config/export" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Import a hierarchy config (sanitized + saved)#

POST/hierarchy-config/importToken

Request-Bodyapplication/json

Keine Felder dokumentiert.

Antworten

  • 200Config imported
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/hierarchy-config/import" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Validate a hierarchy config without persisting it#

POST/hierarchy-config/validateToken

Request-Bodyapplication/json

Keine Felder dokumentiert.

Antworten

  • 200Validation result
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/hierarchy-config/validate" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions